# uproot.from_pyroot

Defined in uproot.pyroot on line 247.

uproot.pyroot.from_pyroot(obj)
  Parameters:

    obj (PyROOT object inheriting from TObject) – PyROOT object to convert to an Uproot uproot.Model.

  Converts a PyROOT object into its corresponding Uproot uproot.Model if it is readable by Uproot. Most ROOT classes are readable by Uproot. Readability is necessary for conversion from PyROOT because the object is serialized through a ROOT TMessage.